Upload a file and get a Sendlyy media ID
curl --request POST \
--url https://api.sendlyy.app/api/v1/media \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data ProjectId=3c90c3cc-0d44-4b50-8888-8dd25736052a \
--data EnvironmentId=3c90c3cc-0d44-4b50-8888-8dd25736052a \
--data SenderId=3c90c3cc-0d44-4b50-8888-8dd25736052a \
--data 'File=<string>'import requests
url = "https://api.sendlyy.app/api/v1/media"
payload = {
"ProjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"EnvironmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"SenderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"File": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
ProjectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
EnvironmentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
SenderId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
File: '<string>'
})
};
fetch('https://api.sendlyy.app/api/v1/media', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sendlyy.app/api/v1/media",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "ProjectId=3c90c3cc-0d44-4b50-8888-8dd25736052a&EnvironmentId=3c90c3cc-0d44-4b50-8888-8dd25736052a&SenderId=3c90c3cc-0d44-4b50-8888-8dd25736052a&File=%3Cstring%3E",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/x-www-form-urlencoded"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sendlyy.app/api/v1/media"
payload := strings.NewReader("ProjectId=3c90c3cc-0d44-4b50-8888-8dd25736052a&EnvironmentId=3c90c3cc-0d44-4b50-8888-8dd25736052a&SenderId=3c90c3cc-0d44-4b50-8888-8dd25736052a&File=%3Cstring%3E")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/x-www-form-urlencoded")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sendlyy.app/api/v1/media")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/x-www-form-urlencoded")
.body("ProjectId=3c90c3cc-0d44-4b50-8888-8dd25736052a&EnvironmentId=3c90c3cc-0d44-4b50-8888-8dd25736052a&SenderId=3c90c3cc-0d44-4b50-8888-8dd25736052a&File=%3Cstring%3E")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sendlyy.app/api/v1/media")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/x-www-form-urlencoded'
request.body = "ProjectId=3c90c3cc-0d44-4b50-8888-8dd25736052a&EnvironmentId=3c90c3cc-0d44-4b50-8888-8dd25736052a&SenderId=3c90c3cc-0d44-4b50-8888-8dd25736052a&File=%3Cstring%3E"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"data": {
"mediaId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mimeType": "<string>",
"filename": "<string>",
"size": 123,
"expiresAt": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Media
Upload a file and get a Sendlyy media ID
Requires media:write on an organization service key. Project/environment/sender restrictions apply. See the matching guide for prerequisites and limits.
POST
/
api
/
v1
/
media
Upload a file and get a Sendlyy media ID
curl --request POST \
--url https://api.sendlyy.app/api/v1/media \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data ProjectId=3c90c3cc-0d44-4b50-8888-8dd25736052a \
--data EnvironmentId=3c90c3cc-0d44-4b50-8888-8dd25736052a \
--data SenderId=3c90c3cc-0d44-4b50-8888-8dd25736052a \
--data 'File=<string>'import requests
url = "https://api.sendlyy.app/api/v1/media"
payload = {
"ProjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"EnvironmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"SenderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"File": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
ProjectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
EnvironmentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
SenderId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
File: '<string>'
})
};
fetch('https://api.sendlyy.app/api/v1/media', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sendlyy.app/api/v1/media",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "ProjectId=3c90c3cc-0d44-4b50-8888-8dd25736052a&EnvironmentId=3c90c3cc-0d44-4b50-8888-8dd25736052a&SenderId=3c90c3cc-0d44-4b50-8888-8dd25736052a&File=%3Cstring%3E",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/x-www-form-urlencoded"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sendlyy.app/api/v1/media"
payload := strings.NewReader("ProjectId=3c90c3cc-0d44-4b50-8888-8dd25736052a&EnvironmentId=3c90c3cc-0d44-4b50-8888-8dd25736052a&SenderId=3c90c3cc-0d44-4b50-8888-8dd25736052a&File=%3Cstring%3E")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/x-www-form-urlencoded")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sendlyy.app/api/v1/media")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/x-www-form-urlencoded")
.body("ProjectId=3c90c3cc-0d44-4b50-8888-8dd25736052a&EnvironmentId=3c90c3cc-0d44-4b50-8888-8dd25736052a&SenderId=3c90c3cc-0d44-4b50-8888-8dd25736052a&File=%3Cstring%3E")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sendlyy.app/api/v1/media")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/x-www-form-urlencoded'
request.body = "ProjectId=3c90c3cc-0d44-4b50-8888-8dd25736052a&EnvironmentId=3c90c3cc-0d44-4b50-8888-8dd25736052a&SenderId=3c90c3cc-0d44-4b50-8888-8dd25736052a&File=%3Cstring%3E"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"data": {
"mediaId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mimeType": "<string>",
"filename": "<string>",
"size": 123,
"expiresAt": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Requires
media:write. See authentication and the matching product guide before live use.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/x-www-form-urlencoded
